<?php

namespace App\Generated\Controllers\V1;

use App\Generated\V1\Messages\UserNotice\SysnoticeListMessage;
use App\Generated\V1\Messages\UserNotice\SysnoticeDescMessage;
use App\Http\Controllers\Controller;
use App\Http\Services\V1\UserNoticeService;
use DB;

class UserNoticeController extends Controller
{
    public $handler;

    public function __construct(UserNoticeService $handler)
    {
        $this->handler = $handler;
    }

    public function sysnoticeList(SysnoticeListMessage $message)
    {
        $message->validateInput();
        $this->handler->sysnoticeList($message);
        $message->validateOutput();
        return $message->getResponse();
    }

    public function sysnoticeDesc(SysnoticeDescMessage $message)
    {
        $message->validateInput();
        $this->handler->sysnoticeDesc($message);
        $message->validateOutput();
        return $message->getResponse();
    }

}
